# https://dev.gajim.org/gajim/python-nbxmpp/repository/nbxmpp-0.6.5/archive.tar.bz2
%global module nbxmpp

Name:           python-%{module}
Version:        0.6.8
Release:        %mkrel 2
Summary:        Python library that provides a way to use Jabber/XMPP networks in a non-blocking way

License:        GPLv3
Group:          Networking/Instant messaging
URL:            https://python-nbxmpp.gajim.org/
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python3-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools
Requires:       python-gobject
Requires:       python-pyopenssl

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Requires:       python3-gobject3
Requires:       python3-pyopenssl

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{python2_sitelib}/*

%files -n python3-%{module}
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.6.8-2pclos2022
- rebuild against updates

* Tue Oct 16 2018 tex - 0.6.8-1pclos2018
- new version

* Tue May 01 2018 marcin82 <fixxer1982 at gmail.com>  0.6.5-1pclos2018
- update, removed %%patch0

* Fri Apr 20 2018 marcin82 <fixxer1982 at gmail.com>  0.6.4-1pclos2018
- update, splitted out python3-%{module} package
- added patch: https://dev.gajim.org/gajim/gajim/issues/9071

* Mon Dec 04 2017 marcin82 <m82 at op.pl> 0.6.1-1pclos2017
- update, enabled byte compiling

* Tue Jul 28 2015 ghostbunny <ghostbunny at gmx dot de> 0.5.3-1pclos2015
- 0.5.3

* Fri May 01 2015 ghostbunny <ghostbunny at gmx dot de> 0.5.2-1pclos2015
- 0.5.2

* Mon Oct 06 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.1-1pclos2014
- 0.5.1
- initial import for pclos
